# template: default
%global gem_name google-apis-core

Name: rubygem-%{gem_name}
Version: 0.9.1
Release: 1%{?dist}
Summary: Common utility and base classes for legacy Google REST clients
License: Apache-2.0
URL: https://github.com/google/google-api-ruby-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.5
BuildRequires: ruby >= 2.5
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Common utility and base classes for legacy Google REST clients.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

# With Ruby < 3 rexml is included
# May also be not required: https://github.com/googleapis/google-api-ruby-client/pull/11024
%gemspec_remove_dep -g rexml

# Should not be a hard requirement
# https://github.com/googleapis/google-api-ruby-client/issues/9560
%gemspec_remove_dep -g webrick

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/OVERVIEW.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md

%changelog
* Sun Oct 23 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.9.1-1
- Update to 0.9.1

* Sun Oct 09 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.9.0-1
- Update to 0.9.0

* Wed Jul 13 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.7.0-1
- Add rubygem-google-apis-core generated by gem2rpm using the default template

